dbXML API

## com.dbxml.db.client.xmldb
Interface FullTextQueryService

All Superinterfaces:
  org.xmldb.api.base.Configurable, org.xmldb.api.base.Service

All Known Implementing Classes:
  FullTextQueryServiceImpl

public interface FullTextQueryService
extends org.xmldb.api.base.Service

FullTextQueryService is a `Service` that enables the execution of full text querying within the context of a `Collection`.

Method Summary
`void` `clearNamespaces()` Removes all namespace mappings stored in the internal namespace map.
`java.lang.String` `getNamespace(java.lang.String prefix)` Returns the URI string associated with `prefix` from the internal namespace map.
`org.xmldb.api.base.ResourceSet` `query(java.lang.String query)` Performs a full-text query against the `Collection`.
`void` `removeNamespace(java.lang.String prefix)` Removes the namespace mapping associated with `prefix` from the internal namespace map.
`void` `setNamespace(java.lang.String prefix, java.lang.String uri)` Sets a namespace mapping in the internal namespace map used to evaluate queries.

Methods inherited from interface org.xmldb.api.base.Service
`getName, getVersion, setCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Method Detail

### setNamespace

    public void setNamespace(java.lang.String prefix,
                             java.lang.String uri)
                      throws org.xmldb.api.base.XMLDBException

  Sets a namespace mapping in the internal namespace map used to evaluate queries. If `prefix` is null or empty the default namespace is associated with the provided URI. A null or empty `uri` results in an exception being thrown.

  Parameters:
    `prefix` - The prefix to set in the map. If `prefix` is empty or null the default namespace will be associated with the provided URI.
    `uri` - The URI for the namespace to be associated with prefix.
  Throws:
    `org.xmldb.api.base.XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getNamespace

    public java.lang.String getNamespace(java.lang.String prefix)
                                  throws org.xmldb.api.base.XMLDBException

  Returns the URI string associated with `prefix` from the internal namespace map. If `prefix` is null or empty the URI for the default namespace will be returned. If a mapping for the `prefix` can not be found null is returned.

  Parameters:
    `prefix` - The prefix to retrieve from the namespace map.
  Returns:
    The URI associated with `prefix`
  Throws:
    `org.xmldb.api.base.XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### removeNamespace

    public void removeNamespace(java.lang.String prefix)
                         throws org.xmldb.api.base.XMLDBException

  Removes the namespace mapping associated with `prefix` from the internal namespace map. If `prefix` is null or empty the mapping for the default namespace will be removed.

  Parameters:
    `prefix` - The prefix to remove from the namespace map. If `prefix` is null or empty the mapping for the default namespace will be removed.
  Throws:
    `org.xmldb.api.base.XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### clearNamespaces

    public void clearNamespaces()
                         throws org.xmldb.api.base.XMLDBException

  Removes all namespace mappings stored in the internal namespace map.

  Throws:
    `org.xmldb.api.base.XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### query

    public org.xmldb.api.base.ResourceSet query(java.lang.String query)
                                         throws org.xmldb.api.base.XMLDBException

  Performs a full-text query against the `Collection`. The result is a `ResourceSet` containing the results of the query. Any namespaces used in the `query` string will be evaluated using the mappings setup using `setNamespace`.

  Parameters:
    `query` - The query string to use.
  Returns:
    A `ResourceSet` containing the results of the query.
  Throws:
    `org.xmldb.api.base.XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

dbXML API

Copyright (c) 2004 The dbXML Group